Blocks don't retain the custom duration
Closed, ResolvedPublic

Description

I noticed by chance that, since 1.32-wmf.1, custom block durations aren't applied. In fact, on itwiki, blocks started to have the global default duration since April 26th. Given the fact that we don't have a clean changelog on mediawiki, it'll take me some time to identify the culprit patch, but I strongly suspect of this one (more or less the only relevant one). I'll start investigating right now, in case someone wants to join feel free to.

Daimona created this task.Apr 28 2018, 2:54 PM
Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptApr 28 2018, 2:54 PM
Daimona triaged this task as High priority.Apr 28 2018, 2:54 PM
Daimona moved this task from Backlog to Internal bugs on the AbuseFilter board.

Triaging as high because we still have a default duration, would've been UBN otherwise.

Daimona claimed this task.Apr 28 2018, 3:05 PM

Oh, well. Yeah, that's the culprit, but the bug has already been solved on master with this patch. If a sysadmin is around and could merge the cherry pick on 1.32-wmf.1, feel free to. Otherwise I'll set it for monday's SWAT.

Daimona closed this task as Resolved.Apr 30 2018, 1:36 PM
Daimona edited projects, added User-notice; removed Patch-For-Review.

Merged with SWAT right now. However, as far as I could see, custom durations need to be reset manually for each filter.

Vvjjkkii renamed this task from Blocks don't retain the custom duration to 70daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Daimona as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from 70daaaaaaa to Blocks don't retain the custom duration.Jul 1 2018, 9:16 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Daimona.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.